package com.huimv.admin.converter;

import com.fasterxml.jackson.core.type.TypeReference;

import java.io.IOException;
import java.util.List;

/**
 * @author yejijie
 * @created 2020年8月24日 下午2:20:02
*/
public class ListObjectConverter extends JpaJsonConverter<List<Object>> {

	@Override
	public List<Object> convertToEntityAttribute(String dbData) {
		try {
			if(dbData==null) return null;
			return objectMapper.readValue(dbData,new TypeReference<List<Object>>(){});
		} catch (IOException ex) {
			ex.printStackTrace();
			return null;
		}
	}

}
